# Uses of Class
org.eclipse.net4j.buffer.BufferInputStream

Packages that use BufferInputStream
Package
Description
org.eclipse.net4j.channel
The Net4j transport layer concepts for dealing with channels.
org.eclipse.net4j.signal
A framework for request/response based communication on top of the Net4j transport layer.

## Uses of BufferInputStream in org.eclipse.net4j.channel

Subclasses of BufferInputStream in org.eclipse.net4j.channel
Modifier and Type
Class
Description
`class`
`ChannelInputStream`
An `input stream` that provides the `buffers` which arrive at a `channel` as a continuous byte sequence.

## Uses of BufferInputStream in org.eclipse.net4j.signal

Methods in org.eclipse.net4j.signal that return BufferInputStream
Modifier and Type
Method
Description
`protected final BufferInputStream`
Signal.`getBufferInputStream()`
Methods in org.eclipse.net4j.signal with parameters of type BufferInputStream
Modifier and Type
Method
Description
`protected void`
Indication.`execute(BufferInputStream in, BufferOutputStream out)`
`protected void`
IndicationWithResponse.`execute(BufferInputStream in, BufferOutputStream out)`
`protected abstract void`
Signal.`execute(BufferInputStream in, BufferOutputStream out)`
`protected final void`
SignalActor.`execute(BufferInputStream in, BufferOutputStream out)`